using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 设备日统计数据
    /// </summary>
    [SugarTable("YB_DeviceDayReportData", TableDescription = "设备日统计数据", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_DeviceDayReportData
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 测量次数
        /// </summary>
        [SugarColumn(ColumnDescription = "测量次数")]
        public System.Int32 DayResultCnt { get; set; }

        /// <summary>
        /// 收益,分
        /// </summary>
        [SugarColumn(ColumnDescription = "收益,分", ColumnDataType = "decimal(18,2)")]
        public System.Decimal DayInCome { get; set; }

        /// <summary>
        /// 设备ID
        /// </summary>
        [SugarColumn(ColumnDescription = "设备ID")]
        public System.Int32 DevId { get; set; }

        /// <summary>
        /// 商户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "商户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 记录时间
        /// </summary>
        [SugarColumn(ColumnDescription = "记录时间")]
        public System.DateTime RecordTime { get; set; }
    }
}
